/**
 * 人才类别变更管理初始化
 */
var TalentTypeChange = {
    id: "TalentTypeChangeTable", //表格id
    seItem: null, //选中的条目
    table: null,
    layerIndex: -1
};

/**
 * 初始化表格的列
 */
TalentTypeChange.initColumn = function () {
    return [
        {field: 'selectItem', checkbox: true},
        {title: '原申报年度', field: 'oldYear', visible: true, align: 'center', valign: 'middle', width: '80px'},
        {title: '工作单位', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px"},
        {title: '姓名', field: 'talentName', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px"},
        {title: '原人才层次', field: 'oldTalentArrangeName', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px"},
        {title: '原认定条件', field: 'oldIdentifyConditionCH', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "130px"},
        // {title: '原认定条件证书取得时间', field: 'oldIdentifyGetTime', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"140px"},
        {title: '原证书有效期', field: 'oldCertificateStartTime', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "140px",
            formatter: function (value, row, index) {
                return row.oldCertificateStartTime + "至" + row.oldCertificateOutTime;
            }
        },
        {title: '原认定条件名称', field: 'oldIdentifyConditionName', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "140px"},
        {title: '原公布入选月份', field: 'oldIdentifyMonth', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "130px"},
        {title: '新申报年度', field: 'newYear', visible: true, align: 'center', valign: 'middle', width: '80px'},
        {title: '新人才层次', field: 'newTalentArrangeName', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px"},
        {title: '新认定条件', field: 'newIdentifyConditionCH', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "140px"},
        // {title: '新认定条件证书取得时间', field: 'newIdentifyGetTime', visible: true, align: 'center', valign: 'middle','class': 'uitd_showTip',width:"140px"},
        {title: '新认定条件名称', field: 'newIdentifyConditionName', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "130px"},
        {title: '新证书有效期', field: 'oldCertificateStartTime', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "140px",
            formatter: function (value, row, index) {
                return row.newCertificateStartTime + "至" + row.newCertificateOutTime;
            }
        },
        {title: '新公布入选月份', field: 'newIdentifyMonth', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "130px"},
        {title: '首次提交时间', field: 'firstSubmitTime', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px"},
        {title: '最新提交时间', field: 'newSubmitTime', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px"},
        {title: '审核状态', field: 'checkState', visible: true, align: 'center', valign: 'middle', width: "100px",
            formatter: function (value, row, index) {
                if (value == -1) {
                    return "<span class='label label-danger'>审核不通过</span>"
                }
                if (value == 35) {
                    return "<span class='label label-primary'>已通过</span>"
                }
            }
        },
        {title: '公示状态', field: 'isPublic', visible: true, align: 'center', valign: 'middle', 'class': 'uitd_showTip', width: "100px",
            formatter: function (value, row, index) {
                if (value == 1) {
                    return "<span class='label label-info'>待核查征信</span>"
                }
                if (value == 2) {
                    return "<span class='label label-success'>待公示</span>"
                }
                if (value == 3) {
                    return "<span class='label label-danger'>公示中</span>"
                }
                if (value == 4) {
                    return "<span class='label label-warning'>待公布</span>"
                }
                if (value == 5) {
                    if (row.checkState == -1) {
                        return "<span class='label label-danger'>审核不通过</span>"
                    }
                    return "<span class='label label-primary'>待发证</span>"
                }
                if (value == 6) {
                    return "<span class='label label-danger'>已发证</span>"
                }
            }
        },
        {title: '操作', field: 'id', visible: true, align: 'center', valign: 'middle', width: "80px",
            formatter: function (value, row, index) {
                return "<span class='label label-success' onclick=\"TalentTypeChange.showLog('" + value + "')\" >" +
                        "<i class=\"fa fa-book\"></i>日志" +
                        "</span>";
            }
        }
    ];
};

/**
 * 检查是否选中
 */
TalentTypeChange.check = function () {
    var selected = $('#' + this.id).bootstrapTable('getSelections');
    if (selected.length == 0) {
        Feng.info("请先选中表格中的某一记录！");
        return false;
    } else {
        TalentTypeChange.seItem = selected[0];
        return true;
    }
};

/**
 * 打开查看人才类别变更详情
 */
TalentTypeChange.openTalentTypeChangeDetail = function () {
    if (this.check()) {
        var index = layer.open({
            type: 2,
            title: '人才层次变更查看详情',
            area: ['800px', '420px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: Feng.ctxPath + '/admin/talentTypeChange/toCommonCheck/id/' + TalentTypeChange.seItem.id + "/process/4",
        });
        this.layerIndex = index;
        layer.full(index);
    }
};

TalentTypeChange.prepareSearch = function () {
    var checkState = $("#pub_checkState").val();
    var name = $("#pub_name").val();
    $('#dataTable').bootstrapTable("refresh", {"query": {"checkState": checkState, "talentName": name}});
}

TalentTypeChange.prepareReset = function () {
    $("#pub_checkState").val("");
    $("#pub_name").val("");
}



/**
 * 查询需要处理的数据
 * @param type
 */
TalentTypeChange.showDataCheckModal = function (type) {
    $("#hczxForm").css("display", "none");
    switch (type) {
        case 1:                     //待核查征信名单-导出
            $("#hczxButton").attr("onclick", "TalentTypeChange.checkExport()").text("导出");
            $("#exportCommonModalLabel").text("待核查征信名单");
            break;
        case 2:                     //待核查征信名单-核查征信通过
            $("#hczxButton").attr("onclick", "TalentTypeChange.hczxPass()").text("提交");
            $("#exportCommonModalLabel").text("待核查征信名单");
            break;
        case 3:                     //公示（批量）
            $("#hczxButton").attr("onclick", "TalentTypeChange.public()").text("公示");
            $("#exportCommonModalLabel").text("待公示名单");
            $("#hczxForm").css("display", "block");
            $(".time").each(function () {
                laydate.render({
                    elem: "#" + $(this).attr("id")
                    , type: 'date'
                    , format: 'yyyy年MM月dd日'
                });
            });
            break;
        case 4:                     //公示通过（批量）
            $("#hczxButton").attr("onclick", "TalentTypeChange.publicPass()").text("提交");
            $("#exportCommonModalLabel").text("公示通过名单");
            break;
        case 5:                     //待公布名单
            $("#hczxButton").attr("onclick", "TalentTypeChange.publish()").text("公布");
            $("#exportCommonModalLabel").text("待公布名单");
            break;
        case 6:                     //待发证名单
            $("#hczxButton").attr("onclick", "TalentTypeChange.sendCard()").text("提交");
            $("#exportCommonModalLabel").text("待发证名单");
            break;
        case 7:                     //公示名单预览
            $("#hczxButton").attr("onclick", "TalentTypeChange.needPublicExport()").text("导出");
            $("#exportCommonModalLabel").text("待公示名单");
            break;
        case 8:                     //公布预览
            $("#hczxButton").attr("onclick", "TalentTypeChange.publishExportBefore()").text("导出");
            $("#exportCommonModalLabel").text("待公布名单");
            break;
    }
    $('#dataTable').bootstrapTable('destroy');
    $('#dataTable').bootstrapTable({
        url: Feng.ctxPath + "/admin/talentTypeChange/selectNeedCheckData?type=" + type,
        method: 'POST',
        contentType: "application/x-www-form-urlencoded; charset=UTF-8",
        search: false, // 是否显示表格搜索，此搜索是客户端搜索，不会进服务端
        showRefresh: false, // 是否显示刷新按钮
        clickToSelect: true, // 是否启用点击选中行
        singleSelect: false, // 设置True 将禁止多选
        striped: true, // 是否显示行间隔色
        pagination: true, // 设置为 true 会在表格底部显示分页条
        paginationHAlign: "left",
        paginationDetailHAlign: "right",
        sidePagination: "client", // 设置在哪里进行分页，可选值为 'client' 或者 'server'
        pageNumber: 1, //初始化加载第一页，默认第一页
        pageSize: 10, //每页的记录行数（*）
        pageList: [10, 25, 50, 100, 500, 1000, 1500], //可供选择的每页的行数（*）
        maintainSelected: true, //全表全选需要开启
        showColumns: false,
        responseHandler: function (res) {
            $("#exportCommonModal").modal("show");
            return res.obj.rows;
        },
        columns:
                [
                    {field: "selectItem", checkbox: true},
                    {title: '姓名', field: 'talentName', visible: true, align: 'center', valign: 'middle', width: "20%"},
                    {title: '证件号码', field: 'idCard', visible: true, align: 'center', valign: 'middle', width: "30%"},
                    {title: '企业名称', field: 'enterpriseName', visible: true, align: 'center', valign: 'middle', width: "40%"},
                    {title: '审核状态', field: 'checkState', visible: true, align: 'center', valign: 'middle', width: "10%",
                        formatter: function (value, row, index) {
                            if (value == -1) {
                                return "<span style='color: #ed5565;'>审核不通过</span>";
                            }
                            if (value == 35) {
                                return "<span style='color: #1ab394;'>审核通过</span>";
                            }
                        }
                    },
                ]

    });
}


/**
 * 选择导出提交
 */
TalentTypeChange.checkExport = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    window.location.href = Feng.ctxPath + "/admin/talentTypeChange/exportHczx?ids=" + ids;
}

/**
 * 核查征信批量通过提交
 */
TalentTypeChange.hczxPass = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/hczxPass", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                TalentTypeChange.table.refresh();
                $("#exportCommonModal").modal("hide");
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("核查征信失败!" + data.responseJSON.message + "!");
        });
        ajax.set("ids", ids);
        ajax.start();
    }
    Feng.confirm("一旦提交无法修改，确定提交吗?", operation);
}

/**
 * 显示核查征信驳回模态框
 */
TalentTypeChange.showHczxRejectModal = function () {
    if (this.check()) {
        if (TalentTypeChange.seItem.isPublic != 1) {
            Feng.info("当前记录不是待核查征信状态，无法核查");
            return;
        }
        $("#hczxId").val(TalentTypeChange.seItem.id);
        $("#hczxMsg").val("");
        $("#hczxRejectModal").modal("show");
    }
}

/**
 * 核查征信驳回提交
 */
TalentTypeChange.hczxReject = function () {
    var id = $("#hczxId").val();
    var msg = $("#hczxMsg").val();
    if (msg == null || msg == '') {
        Feng.info("请填写失信原因");
        return;
    }
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/hczxReject", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                TalentTypeChange.table.refresh();
                $("#hczxRejectModal").modal("hide");
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("核查征信失败!" + data.responseJSON.message + "!");
        });
        ajax.setData({"id": id, "outMsg": msg});
        ajax.start();
    }
    Feng.confirm("一旦提交无法修改，确定提交吗?", operation);
}

/**
 * 是否发送短信
 */
TalentTypeChange.toggleMessage = function () {
    var isMessage = $("input[name='isSend']:checked").val();
    if (isMessage == 1) {
        $("#messageEdit").css("display", "block");
    } else if (isMessage == 2) {
        $("#messageEdit").css("display", "none");
    }
}

/**
 * 公示预览
 */
TalentTypeChange.needPublicExport = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var operation = function () {
        $("#exportCommonModal").modal("hide");
        window.location.href = encodeURI(encodeURI(Feng.ctxPath + "/admin/talentTypeChange/publicPreview?ids=" + ids));
    }
    Feng.confirm("确定要公示预览吗?", operation);
}


/**
 * 公示
 */
TalentTypeChange.public = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var isMessage = $("input[name='isSend']:checked").val();
    var typeName = $("#typeName").val();
    var address = $("#web").val();
    var publicStartTime = $("#publicStartTime").val();
    var publicEndTime = $("#publicEndTime").val();
    var dep = $("#dep").val();
    var phone = $("#phone").val();
    var email = $("#email").val();
    if (isMessage == 1) {
        if (typeName == null || typeName == '') {
            Feng.info("请填写公示类型");
            return;
        }
        if (address == null || address == '') {
            Feng.info("请填写公示平台");
            return;
        }
        if (publicStartTime == null || publicStartTime == '') {
            Feng.info("请填写公示开始时间");
            return;
        }
        if (publicEndTime == null || publicEndTime == '') {
            Feng.info("请填写公示截止时间");
            return;
        }
        if (dep == null || dep == '') {
            Feng.info("请填写反映单位");
            return;
        }
        if (phone == null || phone == '') {
            Feng.info("请填写联系电话");
            return;
        }
        if (email == null || email == '') {
            Feng.info("请填写联系邮箱");
            return;
        }
    }
    var operation = function () {
        var index = layer.open({
            type: 1,
            title: '公示',
            area: ['300px', '220px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: "<input class='form-control' id='publicBatchId' style='width:90%;margin: 10px' placeholder='请输入公示批次'>",
            btn: ['<i class="fa fa-save layui-bg-green"></i>&nbsp;&nbsp;提交', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
            btnAlign: 'c',
            success: function () {
                laydate.render({elem: "#publicBatchId", type: 'month', trigger: 'click', format: "yyyyMM"});
            },
            yes: function (index, layero) {
                var month = $("#publicBatchId").val();
                if (Feng.isEmptyStr(month)) {
                    Feng.info("请填写公示批次");
                    return;
                }
                layer.close(index);
                var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/publicBatch", function (data) {
                    if (data.code == 200) {
                        Feng.success(data.msg);
                        TalentTypeChange.table.refresh();
                        $("#exportCommonModal").modal("hide");
                    } else {
                        Feng.error(data.msg);
                    }
                }, function (data) {
                    Feng.error("公示失败!" + data.responseJSON.message + "!");
                });
                ajax.set("ids", ids);
                ajax.set("typeName", typeName);
                ajax.set("address", address);
                ajax.set("publicStartTime", publicStartTime);
                ajax.set("publicEndTime", publicEndTime);
                ajax.set("dep", dep);
                ajax.set("phone", phone);
                ajax.set("email", email);
                ajax.set("isMessage", isMessage);
                ajax.set("batch", month);
                ajax.start();
            }
        });
    }
    Feng.confirm("确定要公示吗?", operation);
}


//已公示的数据根据公示批次公示导出
TalentTypeChange.publicExport = function (type) {
    var url = "", dateType = '', format = '';
    if (type == 1) {         //公示导出
        url = Feng.ctxPath + "/admin/talentTypeChange/publicExport";
        dateType = 'month';
        format = "yyyyMM";
    } else if (type == 2) {     //公布导出
        url = Feng.ctxPath + "/admin/talentTypeChange/publishExport";
        dateType = 'date';
        format = "yyyy-MM-dd";
    }
    layer.open({
        type: 1,
        title: type == 1 ? '公示导出' : "公布导出",
        area: ['800px', '300px'], //宽高
        fix: false, //不固定
        maxmin: true,
        content: "<form id=\"publicExportForm\" action=\"" + url + "\" target=\"hiddenIframe\" class=\"form-horizontal \" style='padding-top: 10px;'>\n" +
                "                    <div class=\"form-group col-sm-12\">\n" +
                "                        <div class=\"row\">\n" +
                "                            <label class=\"col-sm-2 control-label\">开始时间</label>\n" +
                "                            <div class=\"col-sm-4\">\n" +
                "                                <input type=\"text\" id=\"startTime\" name=\"startTime\" time=\"time\" format=\"month\" class=\"form-control\">\n" +
                "                            </div>\n" +
                "                            <label class=\"col-sm-2 control-label\">截止时间</label>\n" +
                "                            <div class=\"col-sm-4\">\n" +
                "                                <input type=\"text\" id=\"endTime\" name=\"endTime\" time=\"time\" format=\"month\" class=\"form-control\">\n" +
                "                            </div>\n" +
                "                        </div>\n" +
                "                    </div>\n" +
                "                </form>",
        btn: ['<i class="fa fa-save layui-bg-green"></i>&nbsp;&nbsp;提交', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
        btnAlign: 'c',
        success: function (index, layero) {
            $("#publicExportForm")[0].reset();
            $("input[time='time']").each(function () {
                laydate.render({
                    elem: "#" + $(this).attr("id")
                    , type: dateType
                    , format: format
                    , trigger: 'click'
                });
            });
        },
        yes: function (index) {
            var startTime = $("#startTime").val();
            var endTime = $("#endTime").val();
            if (startTime == null || startTime == '') {
                Feng.info("请选择开始时间");
                return;
            }
            if (endTime == null || endTime == '') {
                Feng.info("请选择结束时间");
                return;
            }
            $("#publicExportForm")[0].submit();
            layer.close(index)
        }
    });
}

/**
 * 公示再审核
 */
TalentTypeChange.afterCheck = function () {
    if (this.check()) {
        if (TalentTypeChange.seItem.isPublic != 3) {
            Feng.info("当前记录不是公示中状态，无法审核");
            return;
        }
        if (TalentTypeChange.seItem.outMsg != null && TalentTypeChange.seItem.outMsg != '') {
            Feng.info("当前申请人核查征信不通过，请谨慎选择审核状态！");
        }
        if (TalentTypeChange.seItem.checkState == -1) {
            var html = '<option value="">请选择</option>\n' +
                    '       <option value="2">驳回/恢复</option>';
            $("#checkStateAfter").empty().append(html);
        }
        if (TalentTypeChange.seItem.checkState == 35) {
            var html = '<option value="">请选择</option>\n' +
                    '       <option value="-1">审核不通过</option>' +
                    '       <option value="2">驳回</option>';
            $("#checkStateAfter").empty().append(html);
        }
        $("#checkForm")[0].reset();
        $("#mainId").val(TalentTypeChange.seItem.id);
        $("#checkModal").modal("show");
    }
}
/**
 * 公示后审核提交
 */
TalentTypeChange.afterCheckSubmit = function () {
    var checkState = $("#checkStateAfter").val();
    var msg = $("#msg").val();
    if (checkState == null || checkState == '') {
        Feng.info("请选择审核状态");
    }
    if (msg == null || msg == '') {
        Feng.info("请填写审核意见");
        return;
    }
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/afterCheck", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                TalentTypeChange.table.refresh();
                $("#checkModal").modal("hide");
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("审核失败!" + data.responseJSON.message + "!");
        });
        ajax.setData({"id": $("#mainId").val(), "checkState": checkState, "checkMsg": msg});
        ajax.start();
    }
    Feng.confirm("一旦提交无法修改，确定提交吗?", operation);
}

/**
 * 批量公示通过
 * @param type
 */
TalentTypeChange.publicPass = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/publicPass", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                TalentTypeChange.table.refresh();
                $("#exportCommonModal").modal("hide");
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("公示通过失败!" + data.responseJSON.message + "!");
        });
        ajax.set("ids", ids);
        ajax.start();
    }
    Feng.confirm("一旦提交无法修改，确定公示通过吗?", operation);
}

/**
 * 公布预览
 */
TalentTypeChange.publishExportBefore = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var operation = function () {
        $("#exportCommonModal").modal("hide");
        window.location.href = Feng.ctxPath + "/admin/talentTypeChange/publishExportBefore?ids=" + ids;
    }
    Feng.confirm("一旦确认无法修改,确定要公布吗?", operation);
}


/**
 * 公布
 */
TalentTypeChange.publish = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var operation = function () {
        var index = layer.open({
            type: 1,
            title: '公布',
            area: ['300px', '220px'], //宽高
            fix: false, //不固定
            maxmin: true,
            content: "<input class='form-control' id='publicBatchId' style='width:90%;margin: 10px' placeholder='请输入公布日期(公布入选月份)'>",
            btn: ['<i class="fa fa-save layui-bg-green"></i>&nbsp;&nbsp;提交', '<i class="fa fa-eraser"></i>&nbsp;&nbsp;关闭'],
            btnAlign: 'c',
            success: function () {
                laydate.render({elem: "#publicBatchId", type: 'date', trigger: 'click', format: "yyyy-MM-dd"});
            },
            yes: function (index, layero) {
                var month = $("#publicBatchId").val();
                if (Feng.isEmptyStr(month)) {
                    Feng.info("请填写公布批次");
                    return;
                }
                layer.close(index);
                var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/publish", function (data) {
                    if (data.code == 200) {
                        Feng.success(data.msg);
                        TalentTypeChange.table.refresh();
                        $("#exportCommonModal").modal("hide");
                    } else {
                        Feng.error(data.msg);
                    }
                }, function (data) {
                    Feng.error("公布失败!" + data.responseJSON.message + "!");
                });
                ajax.set("ids", ids);
                ajax.set("batch", month);
                ajax.start();
            }
        });
    }
    Feng.confirm("一旦确认无法修改,确定要公布吗?", operation);
}

/**
 * 撤销公布
 */
TalentTypeChange.canclePublish = function () {
    if (this.check()) {
        var operation = function () {
            var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/canclePublish", function (data) {
                if (data.code == 200) {
                    Feng.success(data.msg);
                    TalentTypeChange.table.refresh();
                } else {
                    Feng.error(data.msg);
                }
            }, function (data) {
                Feng.error("撤销公布失败!" + data.responseJSON.message + "!");
            });
            ajax.set("id", TalentTypeChange.seItem.id);
            ajax.start();
        }
        Feng.confirm("一旦撤销无法修改,确定要撤销公布吗?", operation);
    }
}

//发证
TalentTypeChange.sendCard = function () {
    var selected = $('#dataTable').bootstrapTable('getSelections');
    if (!selected || selected.length < 1) {
        Feng.info("请至少选择一行数据!");
        return;
    }
    var ids = "";
    for (var i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    var operation = function () {
        var ajax = new $ax(Feng.ctxPath + "/admin/talentTypeChange/sendCard", function (data) {
            if (data.code == 200) {
                Feng.success(data.msg);
                TalentTypeChange.table.refresh();
                $("#exportCommonModal").modal("hide");
            } else {
                Feng.error(data.msg);
            }
        }, function (data) {
            Feng.error("发证失败!" + data.responseJSON.message + "!");
        });
        ajax.set("ids", ids);
        ajax.start();
    }
    Feng.confirm("一旦发证无法修改,确定要发证吗?", operation);
}


//回调
TalentTypeChange.callBack = function (data) {
    Feng.info(data.msg);
    if (data.code == 200) {
        $("#hczxModal,#exportModal").modal("hide");
        TalentTypeChange.table.refresh();
    }
}

/**
 * 批量下载头像
 */
TalentTypeChange.downloadPhoto = function () {
    var selected = $('#' + this.id).bootstrapTable('getSelections');
    if (selected.length == 0) {
        Feng.info("请先选中表格中的某一记录！");
        return false;
    }
    var ids = "";
    for (let i = 0; i < selected.length; i++) {
        ids = ids + selected[i].id + ",";
    }
    window.location.href = encodeURI(encodeURI(Feng.ctxPath + "/api/commonDownload/downloadPhotos?type=2&ids=" + ids));
}

$(function () {
    var defaultColunms = TalentTypeChange.initColumn();
    var table = new BSTable(TalentTypeChange.id, "/admin/talentTypeChange/list/process/4", defaultColunms);
    table.setPaginationType("server");
    // table.setHeight(665);
    table.setSingleSelect(false);
    table.setOnDblClickRow(function () {
        TalentTypeChange.openTalentTypeChangeDetail();
    });
    TalentTypeChange.table = table.init();
    TalentTypeChange.init();
    $('#checkAll').click(function () {
        $("#dataTable").bootstrapTable('togglePagination').bootstrapTable('checkAll').bootstrapTable('togglePagination');
    })
    $('#uncheckAll').click(function () {
        $("#dataTable").bootstrapTable('togglePagination').bootstrapTable('uncheckAll').bootstrapTable('togglePagination')
    })
});
